Frage PyDev nicht in Eclipse gefunden Kepler Eclipse sagt, es ist korrekt installiert


Ich nehme an, es ist ein ähnliches Problem wie diese Frage, aber ich wurde gebeten, eine separate Frage zu stellen, weil mein Problem mit Python-3 zusammenhängt.

Situation: Ubuntu 12.04 64bit, Python 3.2.3, Installation von Eclipse (Kepler) und PyDev.

Problem: PyDev kann nicht konfiguriert werden, Python-Projekt kann nicht erstellt werden. Die gleiche Vorgehensweise unter Windows 7 funktioniert einwandfrei.

Ich folgte den Richtlinien bei http://pydev.org/manual_101_install.html, aber weder "Install New Software" noch über den "Eclipse Marketplace" funktionierte, d. h. ich sehe keinen Python- oder PyDev-Eintrag in Window / Preferences. Nun, es scheint installiert zu sein, denn Eclipse sagt "bereits installiert", wenn ich versuche, es erneut zu installieren.

Von der Befehlszeile aus arbeitet python:

$ python
Python 3.2.3 (default, Sep 25 2013, 18:22:43) 
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>>

Ich habe versucht zu verlinken python zu python2.7 im /usr/bin aber ohne Anstrengung.

Hat jemand schon eine Idee?

BEARBEITEN:  java -version sagt "1.6.0_27"

Eclipse Marketplace with PyDev installed


4
2017-11-16 18:47


Ursprung


Ich habe genau das gleiche Problem auf Mac OS X 10.8.5 und Python 2.7.6, also denke ich, es ist ein Problem mit Eclipse / Pydev mehr als Ubuntu.
Ubuntu und MacOS basieren beide auf Debian, daher könnte es tatsächlich eine Verbindung geben. Ein Freund hat empfohlen, sich die Java-Version anzusehen. Es ist 1.6.0_27 hier. Könnte das ein Teil des Problems sein? - Christoph Jüngling
Hast du kaputte Downloads? - Sukupa91


Antworten:


Ich habe das gleiche Problem und die gleichen Konfigurationen wie Sie. Nach dem Wechsel zu Java v1.7 mit

sudo update-alternatives --config java

Zuerst sehen Sie vielleicht keine PyDev-Perspektive, aber importieren / erstellen Sie einfach ein Python-Projekt und es funktioniert.


3
2017-11-29 09:26





Sie können java7 installieren, um PyDev v3 zum Laufen zu bringen und Ihre aktuelle Java-Installationsversion beizubehalten. Sie beeinflusst nicht Ihre aktuelle Konfiguration, indem Sie angeben, welche JVM Eclipse mit der Befehlszeilenoption -vm verwendet werden soll.

Alles wird hier erklärt


1
2017-11-29 19:08



Siehe auch hier: stackoverflow.com/q/19838294/911550 - parvus